extends ../_docs-template

block vars
  - var activeLink = 'react';
  - var title = 'Block React Component | Framework7 React Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-react
  .docs-content
    .motion-docs-page-title
      h1 Block React Component
      script(src="/js/motion/block.js")
      f7-motion-block(motion)

    p Block React component represents <a href="../docs/block.html">Block / Content Block</a> element designed (mostly) to add extra formatting and required spacing for text content.
    h2 Block Components
    p There are following components included:
    ul
      li `Block`  - main block element
      li `BlockTitle`  - block title. Can be used before Block or List View
      li `BlockHeader`  - extra header element. Can be used both inside and outside of block elements
      li `BlockFooter`  - extra footer element. Can be used both inside and outside of block elements
    h2 Block Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;Block&gt; properties
        tr
          td inset
          td boolean
          td
          td Makes block inset. `insetIos` and `insetMd` props available for theme specific layout
        tr
          td xsmallInset
          td boolean
          td
          td Makes block inset when app width >= 480px. `xsmallInsetIos` and `xsmallInsetMd` props available for theme specific layout
        tr
          td smallInset
          td boolean
          td
          td Makes block inset when app width >= 568px. `smallInsetIos` and `smallInsetMd` props available for theme specific layout
        tr
          td mediumInset
          td boolean
          td
          td Makes block inset when app width >= 768px. `mediumInsetIos` and `mediumInsetMd` props available for theme specific layout
        tr
          td largeInset
          td boolean
          td
          td Makes block inset when app width >= 1024px. `largeInsetIos` and `largeInsetMd` props available for theme specific layout
        tr
          td xlargeInset
          td boolean
          td
          td Makes block inset when app width >= 1200px. `xlargeInsetIos` and `xlargeInsetMd` props available for theme specific layout
        tr
          td strong
          td boolean
          td
          td Adds extra highlighting and padding block content. `strongIos` and `strongMd` props available for theme specific layout
        tr
          td outline
          td boolean
          td
          td Makes block outline (with border). `outlineIos` and `outlineMd` props available for theme specific layout
        tr
          td accordionList
          td boolean
          td
          td Makes block wrapper for accordion items
        tr
          td tabs
          td boolean
          td
          td Adds additional "tabs" class to make the block tabs wrapper
        tr
          td tab
          td boolean
          td
          td Adds additional "tab" class when block should be used as a Tab
        tr
          td tabActive
          td boolean
          td
          td Adds additional "tab-active" class when block used as a Tab and makes it active tab
        tr
          th(colspan="4") &lt;BlockTitle&gt; properties
        tr
          td medium
          td boolean
          td
          td Makes block title medium size
        tr
          td large
          td boolean
          td
          td Makes block title large size
    h2 Examples
    +examplePreview('react', 'content-block.jsx', 'content-block')
